// CreditServer.cpp 
#include "stdafx.h"
#include "CreditServer_h.h"
#include "CreditObject.h"
#include "CreditObjectFactory.h"

extern long g_cComponents;

extern const GUID IID_ICreditVerification;
extern const CLSID CLSID_CreditVerification;

STDAPI DllCanUnloadNow() 
{
	if (g_cComponents == 0)
		return S_OK;
	else
		return S_FALSE;
}
 
STDAPI DllGetClassObject(const CLSID& clsid, 
	const IID& riid, void** ppv) 
{
	if (clsid != CLSID_CreditVerification)
		return CLASS_E_CLASSNOTAVAILABLE;

	CCreditObjectFactory* pFactory = new CCreditObjectFactory;
	if (pFactory == NULL)
		return E_OUTOFMEMORY;

	HRESULT hr = pFactory->QueryInterface(riid, ppv);
	pFactory->Release();
	return hr;
}
 
BOOL APIENTRY DllMain(
	HMODULE hModule, DWORD dwReason, void* lpReserved) 
{ 
	return TRUE; 
}



