// CreditObjectFactory.h

class CCreditObjectFactory : public IClassFactory 
{
private:
	long m_refCount;
public:
	CCreditObjectFactory();

	// IUnknown
	HRESULT __stdcall QueryInterface(
		const IID& riid, void** ppv); 
	ULONG __stdcall AddRef(void);
	ULONG __stdcall Release(void); 

	// IClassFactory
	HRESULT STDMETHODCALLTYPE CreateInstance(
		IUnknown * pUnkOuter, REFIID riid, void ** ppv);
	HRESULT __stdcall LockServer (BOOL bLock);
};
