// TestCreditObject.cpp 
#include "stdafx.h"
#include "..\CreditServer\CreditServer\CreditServer_h.h"

int _tmain(int argc, _TCHAR* argv[])
{
	CoInitialize(NULL);
	ICreditVerification* p = NULL;

	HRESULT hr = CoCreateInstance(CLSID_CreditVerification, NULL, 
		CLSCTX_SERVER, IID_ICreditVerification, (void**)&p);
	if (FAILED(hr)) 
		cout << "Failed to create server\n";
	else
	{
		p->SetCardType((unsigned char*)"MasterCard");
		if (p->VerifyCardNumber(1234) == S_OK)
			MessageBox(0, "Card Verified", "OK", 0);
		else
			MessageBox(0, "Card Rejected", 0, 0);

		p->Release();
	}

	CoUninitialize();
}

