// CreditObject.h

class CCreditVerification : public ICreditVerification
{
private:
	long m_refCount;
	enum CardType {Visa, MasterCard, Amex} m_type;
public:
	CCreditVerification();
	~CCreditVerification();

	// ICreditVerification
	HRESULT __stdcall SetCardType(unsigned char* s);
	HRESULT __stdcall VerifyCardNumber(long n);

	// IUnknown
	HRESULT __stdcall QueryInterface(REFIID iid, void**pp);
	ULONG __stdcall AddRef();
	ULONG __stdcall Release();
};
